Latest wxPython 4.0.3 uses PyPubSub 4.0.0 which requires python3+

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Latest wxPython 4.0.3 uses PyPubSub 4.0.0 which requires python3+

Nagarjun G
Hi All,

I am using Latest wxPython 4.0.3 which seems to be using PyPubSub 4.0.0 which requires Python 3+. But my requirement is to use python2.7. 
I tried reverting pypubsub back to 3.3.0. Somehow application seems to hang and doesnt respond after a click any button inside the application. 
I am not sure if its because of PyPubSub, try rule out the cases.  

I see the below message when I use PyPubSub 3.3.0. 

======================================================================
          ***    ATTENTION   ***
This messaging protocol is deprecated. This module, and hence arg1
messaging protocol, will be removed in v3.4 of PyPubSub. Please make
the necessary changes to your code so that it no longer requires this
module. The pypubsub documentation provides steps that may be useful
to minimize the chance of introducing bugs in your application.
======================================================================

I have tried couple ways to debug my application, but I am unable to fix the hanging problem.
Any help on how to proceed would be appreciated. 

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Latest wxPython 4.0.3 uses PyPubSub 4.0.0 which requires python3+

Robin Dunn
On Thursday, July 12, 2018 at 11:07:11 AM UTC-7, Nagarjun G wrote:
Hi All,

I am using Latest wxPython 4.0.3 which seems to be using PyPubSub 4.0.0 which requires Python 3+. But my requirement is to use python2.7. 
I tried reverting pypubsub back to 3.3.0.


The incompatibility win Py27 is known. See https://github.com/wxWidgets/Phoenix/issues/887 and https://github.com/schollii/pypubsub/issues/9

 
Somehow application seems to hang and doesnt respond after a click any button inside the application. 
I am not sure if its because of PyPubSub, try rule out the cases.  

I see the below message when I use PyPubSub 3.3.0. 

======================================================================
          ***    ATTENTION   ***
This messaging protocol is deprecated. This module, and hence arg1
messaging protocol, will be removed in v3.4 of PyPubSub. Please make
the necessary changes to your code so that it no longer requires this
module. The pypubsub documentation provides steps that may be useful
to minimize the chance of introducing bugs in your application.
======================================================================

I have tried couple ways to debug my application, but I am unable to fix the hanging problem.
Any help on how to proceed would be appreciated. 


I don't know about the hanging, Try reproducing it in a small example and somebody here can probably help you with it if you can't figure out the problem. But for the message above my understanding is that you should not be importing setuparg1 anymore, and should let it default to the kwargs protocol. This will likely require some changes to your code.

--
Robin

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.